#include <Adafruit_SSD1306.h>
#include "images.h"

#define OLED_I2C_ADDRESS 0x3C
#define OLED_WIDTH 128
#define OLED_HEIGHT 64

Adafruit_SSD1306 oled(OLED_WIDTH, OLED_HEIGHT);

bool inverted = false;

void setup() {
  if (!oled.begin(SSD1306_SWITCHCAPVCC, OLED_I2C_ADDRESS)) {
    while (true);
  }
  oled.clearDisplay();
  showHeader();
  oled.drawBitmap(0, 16, logo, 128, 48, WHITE);
  oled.display();
}

void loop() {
  oled.invertDisplay(inverted);   
  oled.display(); 
  inverted = !inverted;
  delay(1000);
}

void showHeader() {
  oled.setTextSize(1);
  oled.setTextColor(WHITE);
  oled.setCursor(OLED_WIDTH / 2, 8);
  printCenteredText("Tutorial di Arduino");
}

void printCenteredText(String text) {
  int16_t x = 0, y = 0;
  uint16_t w = 0, h = 0;
  int16_t cursorX = oled.getCursorX();
  int16_t cursorY = oled.getCursorY();
  oled.getTextBounds(text, 0, 0, &x, &y, &w, &h);
  oled.setCursor(cursorX - x - w / 2, cursorY - y - h / 2);
  oled.print(text);
}